Subject: Ticket Assigned - Feedback or suggestions
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 23 Oct 2021 05:24:12 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Your employee who called me over the phone, his name was Abisheek, phone number +97145172125, cheated on me.  He wasted my time, effort and petrol today.  

I sent a complaint through Splash messenger because three jeans I purchased last Ramadan were all torn at the butt part of the jeans. I have them with me, still looking new.

Now, Abisheek called me regarding my complaint and told me to just go to the nearest Centerpoint ,  provide the three items and my mobile number. I went to Centerpoint Taif 1, spoke with Nawaf  and I was told there is nothing they could help. So very badly disappointed  with Splash. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3144908